ClipIt-1.4.2-20120404003 ~ 2012-04-04 10:39:47 +0300

+ Added: Added new translations.


ClipIt-1.4.2-20120404002 - 2012-04-04 10:35:04 +0300

+ Fixed: Bug in previous POTFILES.in generation code.


ClipIt-1.4.2-20120404001 - 2012-04-04 10:21:55 +0300

+ Fixed: Updated translations and fixed POTFILES generation script.


ClipIt-1.4.2-20120302002 - 2012-03-02 22:21:05 +0200

+ Fixed: Updated copyright information.


ClipIt-1.4.2-20120302001 - 2012-03-02 21:56:42 +0200

+ Fixed: Fixed a GTK include error with gtypes.h.


ClipIt-1.4.2-20111222001 - 2011-12-04 22:42:57 +0200

+ Added: Merged "Offline mode" feature, by Eugene Nikolsky
+ Added: Allow to switch focus by Tab key in "Manage History"
	dialog, by Eugene Nikolsky


ClipIt-1.4.2-20111115006 - 2011-11-15 12:34:18 +0200

+ Fixed: Use the shipped icon instead of gtk-paste.


ClipIt-1.4.2-20111115005 - 2011-11-15 11:46:35 +0200

+ Fixed: Fix max height of Manage history window.


ClipIt-1.4.2-20111115004 - 2011-11-15 11:05:58 +0200

+ Fixed: Updated translations.


ClipIt-1.4.2-20111115003 - 2011-11-15 10:48:36 +0200

+ Fixed: Present the user with the existing dialog, if he tries to
		open one while another one is active.


ClipIt-1.4.2-20111115002 - 2011-11-15 08:59:45 +0200

+ Fixed: Also save history after it is modified by selection of items.


ClipIt-1.4.2-20111115001 - 2011-11-15 08:40:38 +0200

+ Fixed: Added Unity to autostart.


Silence glib warnings regarding GOptionFlags. - 2011-11-09 20:51:51 +0200

These warnings:
GLib-WARNING **: goption.c:2168: ignoring no-arg, optional-arg or filename flags (8) on option of type 0


ClipIt-1.4.2-20111115001 - 2011-11-15 08:27:37 +0200

+ Fixed: Added dirty workaround for Debian multiarch build.


ClipIt-1.4.2-20111018001 - 2011-10-18 15:48:40 +0300

+ Fixed: Fixed a typo in preferences dialog.
+ Fixed: Updated translations.
+ Fixed: Fixed a couple of omissions in the scripts.


ClipIt-1.4.2-20111015001 - 2011-10-15 12:30:45 +0300

+ Fixed: Fixed bug where wrong item was being selected for editing.


ClipIt-1.4.2-20110906001 - 2011-09-06 15:03:00 +0300

+ Added: Added transifex config to repository.
+ Added: Added script for automatic translation updating.
+ Added: Added Bulgarian translation.
+ Fixed: Updated translations.


ClipIt-1.4.2-20110831002 - 2011-08-31 10:24:26 +0300

+ Added: Added commit script to git.


ClipIt-1.4.2-20110831001 - 2011-08-31 10:21:47 +0300

+ Fixed: Fixed remove bug when multiple items were selected in the list.


ClipIt-1.4.2-20110816003 - 2011-08-16 14:24:00 +0300

+ Added: Added some more strings to gettext.
+ Added: Added Estonian translation.


ClipIt-1.4.2-20110816002 - 2011-08-16 13:06:12 +0300

+ Fixed: Fixed bug where in some cases actions and excludes couldn't be
		added. (SF: #3315622) (Thanks to Guido Tabbernuk)


ClipIt-1.4.2-20110816001 - 2011-08-16 12:52:05 +0300

+ Added: Added logic to Makefile to automatically update translation files.
+ Fixed: Added some more strings to gettext and updated translations.


ClipIt-1.4.2-20110726001 - 2011-07-26 18:10:39 +0300

+ Fixed: Updated German localisation. (LP: #793878)
+ Fixed: Fixed problem with excludes and actions lists not working properly
		on Debian derived distributions. (SF: #3315622)


ClipIt-1.4.2-20110623001 - 2011-06-23 13:46:10 +0300

+ Fixed: Bumped version to 1.4.2.
+ Fixed: Changed layout of the ChangeLog file.


ClipIt-1.4.1-20110604001 - 2011-06-04 17:49:05 +0300

+ Fixed: Removed some more files from git.


ClipIt-1.4.1-20110527004 - 2011-05-27 10:29:37 +0300

+ Fixed: Typo in src/Makefile.am.


ClipIt-1.4.1-20110527003 - 2011-05-27 10:24:50 +0300

+ Fixed: Removed some files from git. Again.


ClipIt-1.4.1-20110527002 - 2011-05-27 09:59:35 +0300

+ Fixed: Made autogen.sh executable.


ClipIt-1.4.1-20110527001 - 2011-05-27 09:53:08 +0300

+ Fixed: Hidden righ-click menu option when indicator is active and
		disabled the static item spin when static items are not
		shown.


ClipIt-1.4.1-20110526008 - 2011-05-26 23:03:11 +0300

+ Fixed: We're not loosing the static flag on existing items anymore.


ClipIt-1.4.1-20110526007 - 2011-05-26 22:24:38 +0300

+ Fixed: Fixed a bug in the history saving function.
+ Added: We are now showing static items in the menu.


ClipIt-1.4.1-20110526006 - 2011-05-26 18:37:47 +0300

+ Fixed: Fixed display and icon of indicator menu.
+ Fixed: We are now installing the icon to the icontheme instead of
		the pixmaps folder.


ClipIt-1.4.1-20110526005 - 2011-05-26 15:38:12 +0300

+ Added: Added options for static items in menu.


ClipIt-1.4.1-20110526004 - 2011-05-26 12:54:45 +0300

+ Added: Added option for using right-click menu.


ClipIt-1.4.1-20110526003 - 2011-05-26 11:28:25 +0300

+ Fixed: Unified history and tray menu for easier maintenance.


ClipIt-1.4.1-20110526002 - 2011-05-26 10:10:34 +0300

+ Fixed: Simplified add item process.


ClipIt-1.4.1-20110526001 - 2011-05-26 09:47:54 +0300

+ Added: Items marked as static are not purged from the history anymore.


ClipIt-1.4.1-20110525003 - 2011-05-25 11:13:14 +0300

+ Added: We now also use png icons, if there are any.


ClipIt-1.4.1-20110525002 - 2011-05-25 09:03:24 +0300

+ Fixed: Numpad keys now work for selecting too.


ClipIt-1.4.1-20110525001 - 2011-05-25 08:48:36 +0300

+ Fixed: Changed history file to new type.


ClipIt-1.4.1-20110524001 - 2011-05-24 12:10:02 +0300

+ Fixed: Converted history to new data type.
+ Fixed: Fixed all of the remaining warnings.


ClipIt-1.4.1-20110523003 - 2011-05-23 16:05:14 +0300

+ Fixed: We are now checking if the history should be saved in the
		save_history function itself.
+ Fixed: Indicator menu should now refresh even if "Save history"
		is disabled.


ClipIt-1.4.0-20110521003 - 2011-05-21 22:29:03 +0300

+ Fixed: Fixed wrong selection behaviour in "Manage history" dialog.


ClipIt-1.4.0-20110521001 - 2011-05-21 19:56:46 +0300

+ Added: We are now using the shipped icon in the systray.


ClipIt-1.4.0-20110520002 - 2011-05-21 00:46:33 +0300

+ Fixed: Remove duplicate truncate_history functionality.
+ Added: Added basic history item structure.


ClipIt-1.4.0-20110520001 - 2011-05-20 22:54:04 +0300

+ Fixed: Deleted items are now properly removed from the history.
+ Fixed: Double clicking an item in the "Manage history" dialog now
		properly selects it again.
+ Added: [Enter] (for selecting the item) and [Delete] (for removing
		the item(s)) now works in the "Manage history" dialog.


ClipIt-1.4.0-20110518002 - 2011-05-18 15:51:13 +0300

+ Added: Also added 1-0 shortcuts to the history menu.


ClipIt-1.4.0-20110518001 - 2011-05-18 15:24:54 +0300

+ Fixed: Re-enabled indicator support.
+ Added: We are now installing a sepparate icon for clipit (not using it
		yet, though).
+ Added: Search as you type in "Manage history" dialog.
+ Added: 1-0 shortcuts for fast selecting of menu items.
+ Added: Possiblity to select multiple items for deletion in the
		"Manage history" dialog.


ClipIt-1.4.0-20110506001 - 2011-05-06 14:15:48 +0300

+ Added: Added option to automatically paste an entry after selecting it.
+ Fixed: Re-enabled indicator since it should now work properly.


ClipIt-1.3.13-20110503001 - 2011-05-03 08:55:49 +0300

+ Fixed: Bug in the indicator code that makes ClipIt crash X under
		certain circumstances.


ClipIt-1.3.12-20110228001 - 2011-02-28 14:23:09 +0200

+ Fixed: Fixed a typo in the warnings.
+ Fixed: Turned off appindicator because it's buggy.


ClipIt-1.3.11-20101224001 - 2010-12-24 10:16:59 +0200

+ Fixed: Removed some unneeded files from both the archive and git.
+ Fixed: Changed git versioning scheme.


ClipIt-v1.3.11-22122010001 - 2010-12-22 12:12:28 +0200

+ Fixed: Indicator menu now actually refreshes properly.
+ Fixed: Removed "Full history" and changed the wording in the
		"Preferences" dialog.
+ Fixed: Imported "Select first item in menu" fix from Parcellite 0.9.3.


ClipIt-v1.3.10-21122010001 - 2010-12-21 21:05:38 +0200

+ Fixed: Imported fixes from Parcellite 0.9.3 (thanks to Doug Springer).
+ Fixed: Fixed cast warnings when building on x86 machines.
+ Fixed: Fixed build error on ubuntu 11.04.
+ Fixed: Fixed problem with statusicon menu showing double content.
+ Fixed: Fixed problem with clicking the statusicon menu multiple
		times killing the program.


ClipIt-v1.3.9-19122010001 - 2010-12-19 14:21:42 +0200

+ Fixed: Fixed error while compiling without indicator support.
+ Fixed: Fixed a couple of memory leaks.


ClipIt-v1.3.8-18122010002 - 2010-12-18 15:20:11 +0200

+ Fixed: Updated configure script for 1.3.8.


ClipIt-v1.3.8-18122010001 - 2010-12-18 13:52:42 +0200

+ Fixed: Changed the "old" menu to look exactly like the indicator
		menu.
+ Fixed: Changed the indicator menu to refresh automatically.


ClipIt-v1.3.6-06122010002 - 2010-12-06 14:10:51 +0200

+Fixed: Fixed a small bug when building without indicator support.s


ClipIt-v1.3.5-06122010001 - 2010-12-06 10:55:14 +0200

+ Added: Added support for "Application Indicator".
+ Fixed: Fixed a couple of typos and indentations.


ClipIt-v1.3.4-26112010001 - 2010-11-26 13:44:33 +0200

+ Fixed: Now we are warning the user that his history is saved in a
		plain text file and ask for his explicit permission
		to save the history.
+ Fixed: When the user disables history saving we also ask if he wants
		to empty the current history file.
+ Fixed: Renamed "Find" menu entry to "Manage history".
+ Fixed: ClipIt now complies to the "XDG Base Directory Specification".


ClipIt-v1.3.3-23112010001 - 2010-11-23 11:31:11 +0200

+ Fixed: Fixed some more markup.
+ Fixed: Rearranged parts of the Preferences dialog to be cleaner.
+ Fixed: Fixed bug in "Manage History" window not selecting the history
		item properly.


ClipIt-v1.3.2-22112010001 - 2010-11-22 10:59:01 +0200

+ Fixed: Fixed most of the markup and indentation (replaced double spaces
		with tabs).
+ Fixed: Removed clipboard restoring from history, as this seems to cause
		more problems than it solves.


ClipIt-v1.3.1-17112010001 - 2010-11-17 08:29:36 +0200

+ Added: Added autostart support for LXDE.
+ Fixed: Fixed problem with "Edit" window not appearing.


ClipIt-v1.3.0-14112010001 - 2010-11-14 21:03:11 +0200

+ Added: Added "Edit" and "Remove" buttons to the "Manage History" dialog.
+ Fixed: Major speed improvements for big history entries while:
		searching through the history;
		populating the "Manage History" dialog;
		generating the popup menus;
	All of these should now be more than 99% faster, at the expense
	of an (at most) 1MB overhead. I think it's worth it, though.
+ Fixed: Fixed a drawing issue with the small history menu when activated
		by clicking on the systray icon.


ClipIt-v1.2.6-12112010003 - 2010-11-12 12:01:11 +0200

+ Fixed: Removed reference to pthread.h from configure.in.
+ Fixed: Set AM_MAINTAINER_MODE to disabled by default.


ClipIt-v1.2.5-12112010002 - 2010-11-12 10:39:04 +0200

+ Fixed: Now using autopoint instead of gettextize to avoid waiting for
		user input.
+ Fixed: Added AM_MAINTAINER_MODE, to get rid of the disable-maintainer-mode
		warning.
+ Fixed: Fixed a small typo in main.c.
+ Fixed: removed dependency of pthread.h (the pthread_exit function that we
		use is also in glib.h).


ClipIt-v1.2.4-12112010001 - 2010-11-12 08:29:02 +0200

+ Fixed: Fixed 2 small omitions from previous changes.


ClipIt-v1.2.3-11112010002 - 2010-11-11 20:24:19 +0200

+ Fixed: Fixed the manpage so it now aligns to the conventions for
		writing Linux man pages.
+ Fixed: Added the "-Wl,--as-needed" flag, so only the needed packages
		are included.


ClipIt-v1.2.2-11112010001 - 2010-11-11 13:21:09 +0200

+ Fixed: Some small compatibility changes for debian packaging.


ClipIt-v1.2.1-10112010002 - 2010-11-10 11:21:03 +0200

+ Fixed: Fixed OOM bug when copying large chunks of text by limiting
		the history entry to 512KB.
		(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602205)


ClipIt-v1.2.0-10112010001 - 2010-11-10 09:49:29 +0200

+ Added: Option to save URIs (they were actually saved by default before, but
		now you have the option to disable this behaviour).
+ Fixed: Copying files and folders now works again.
+ Fixed: Changed some of the default configuration values.


ClipIt-v1.1.0-09112010001-beta - 2010-11-09 12:46:50 +0200

+ Added: Option to show index numbers in history.
+ Fixed: Search window now gets properly focused when launched with the hotkey.
+ Fixed: Search window is now resizable.
+ Fixed: Double casting when calling 'item_selected'.
+ Fixed: Removed some unnecessary comments and fixed some of the others.
+ Fixed: Moved search dialog and functions to manage.c, as this dialog will
		become "Manage Clipboard" in the next version.


ClipIt-1.4.1-20110523002 - 2011-05-23 13:02:17 +0300

+ Fixed: Unified indicator and systray menu into a single function.


ClipIt-1.4.1-20110523001 - 2011-05-23 10:21:38 +0300

+ Fixed: Removed some files from git again. You now need to run
		./autogen.sh first when building from git.

Changes to be committed:

deleted:    ABOUT-NLS
modified:   ChangeLog
deleted:    Makefile.in
modified:   README
deleted:    TODO
deleted:    aclocal.m4
deleted:    config.h.in
deleted:    configure
modified:   configure.in
deleted:    data/Makefile.in
deleted:    doc/Makefile.in
deleted:    intltool-extract.in
deleted:    intltool-merge.in
deleted:    intltool-update.in
deleted:    m4/codeset.m4
deleted:    m4/fcntl-o.m4
deleted:    m4/glibc2.m4
deleted:    m4/glibc21.m4
deleted:    m4/intdiv0.m4
deleted:    m4/intl.m4
deleted:    m4/intldir.m4
deleted:    m4/intlmacosx.m4
deleted:    m4/intmax.m4
deleted:    m4/inttypes-pri.m4
deleted:    m4/inttypes_h.m4
deleted:    m4/lcmessage.m4
deleted:    m4/lock.m4
deleted:    m4/longlong.m4
deleted:    m4/printf-posix.m4
deleted:    m4/size_max.m4
deleted:    m4/stdint_h.m4
deleted:    m4/threadlib.m4
deleted:    m4/uintmax_t.m4
deleted:    m4/visibility.m4
deleted:    m4/wchar_t.m4
deleted:    m4/wint_t.m4
deleted:    m4/xsize.m4
deleted:    src/Makefile.in


ClipIt-1.4.0-20110521003 - 2011-05-21 22:29:03 +0300

+ Fixed: Fixed wrong selection behaviour in "Manage history" dialog.

Changes to be committed:

modified:   ChangeLog
modified:   src/manage.c


ClipIt-1.4.0-20110521002 - 2011-05-21 20:22:19 +0300

+ Fixed: Ran autogen.sh to reconfigure files.

Changes to be committed:

modified:   configure


ClipIt-1.4.0-20110521001 - 2011-05-21 19:56:46 +0300

+ Added: We are now using the shipped icon in the systray.

Changes to be committed:

modified:   ChangeLog
modified:   TODO
modified:   src/history.h
modified:   src/main.c
modified:   src/utils.c


ClipIt-1.4.0-20110520002 - 2011-05-21 00:46:33 +0300

+ Fixed: Remove duplicate truncate_history functionality.
+ Added: Added basic history item structure.

Changes to be committed:

modified:   ChangeLog
modified:   TODO
modified:   src/history.c
modified:   src/history.h
modified:   src/main.h


ClipIt-1.4.0-20110520001 - 2011-05-20 22:54:04 +0300

+ Fixed: Deleted items are now properly removed from the history.
+ Fixed: Double clicking an item in the "Manage history" dialog now
		properly selects it again.
+ Added: [Enter] (for selecting the item) and [Delete] (for removing
		the item(s)) now works in the "Manage history" dialog.

Changes to be committed:

modified:   ChangeLog
modified:   TODO
modified:   src/main.c
modified:   src/manage.c


ClipIt-1.4.0-20110518002 - 2011-05-18 15:51:13 +0300

+ Added: Also added 1-0 shortcuts to the history menu.

Changes to be committed:

	modified:   ChangeLog
	modified:   src/main.c


ClipIt-1.4.0-20110518001 - 2011-05-18 15:24:54 +0300

+ Fixed: Re-enabled indicator support.
+ Added: We are now installing a sepparate icon for clipit (not using it
		yet, though).
+ Added: Search as you type in "Manage history" dialog.
+ Added: 1-0 shortcuts for fast selecting of menu items.
+ Added: Possiblity to select multiple items for deletion in the
		"Manage history" dialog.

Changes to be committed:

	modified:   ChangeLog
	modified:   Makefile.am
	modified:   Makefile.in
	modified:   TODO
	modified:   configure
	modified:   configure.in
	modified:   data/Makefile.am
	modified:   data/Makefile.in
	new file:   data/trayicon.svg
	modified:   src/Makefile.am
	modified:   src/Makefile.in
	modified:   src/main.c
	modified:   src/manage.c


ClipIt-1.4.0-20110506001 - 2011-05-06 14:15:48 +0300

	+ Added: Added option to automatically paste an entry after selecting it.
	+ Fixed: Re-enabled indicator since it should now work properly.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure
	modified:   src/main.c
	modified:   src/main.h
	modified:   src/preferences.c
	modified:   src/preferences.h


ClipIt-1.3.13-20110503001 - 2011-05-03 08:55:49 +0300

+ Fixed: Bug in the indicator code that makes ClipIt crash X under
		certain circumstances.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure
	modified:   configure.in
	modified:   src/main.c


ClipIt-1.3.12-20110228001 - 2011-02-28 14:23:09 +0200

+ Fixed: Fixed a typo in the warnings.
+ Fixed: Turned off appindicator because it's buggy.

Changes to be committed:

modified:   ChangeLog
modified:   configure
modified:   configure.in
modified:   src/preferences.h


ClipIt-1.3.13-20110503001 - 2011-05-03 08:55:49 +0300

+ Fixed: Bug in the indicator code that makes ClipIt crash X under
		certain circumstances.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure
	modified:   configure.in
	modified:   src/main.c


ClipIt-1.3.12-20110228001 - 2011-02-28 14:23:09 +0200

+ Fixed: Fixed a typo in the warnings.
+ Fixed: Turned off appindicator because it's buggy.

Changes to be committed:

modified:   ChangeLog
modified:   configure
modified:   configure.in
modified:   src/preferences.h


ClipIt-1.3.11-20101224001 - 2010-12-24 10:16:59 +0200

+ Fixed: Removed some unneeded files from both the archive and git.
+ Fixed: Changed git versioning scheme.

Changes to be committed:

	modified:   ChangeLog
	modified:   Makefile.am
	modified:   Makefile.in
	deleted:    autom4te.cache/output.0
	deleted:    autom4te.cache/output.1
	deleted:    autom4te.cache/requests
	deleted:    autom4te.cache/traces.0
	deleted:    autom4te.cache/traces.1
	deleted:    po/Makefile.in.in~
	deleted:    po/Makevars.template
	deleted:    po/Rules-quot
	deleted:    po/boldquot.sed
	deleted:    po/en@boldquot.header
	deleted:    po/en@quot.header
	deleted:    po/insert-header.sin
	deleted:    po/quot.sed
	deleted:    po/remove-potcdate.sin


ClipIt-v1.3.11-22122010001 - 2010-12-22 12:12:28 +0200

+ Fixed: Indicator menu now actually refreshes properly.
+ Fixed: Removed "Full history" and changed the wording in the
                "Preferences" dialog.
+ Fixed: Imported "Select first item in menu" fix from Parcellite 0.9.3.

Changes to be committed:

	modified:   ChangeLog
	modified:   autom4te.cache/output.0
	modified:   autom4te.cache/output.1
	modified:   autom4te.cache/traces.1
	modified:   configure
	modified:   configure.in
	modified:   src/history.c
	modified:   src/main.c
	modified:   src/main.h
	modified:   src/preferences.c
	modified:   src/preferences.h


ClipIt-v1.3.10-21122010001 - 2010-12-21 21:05:38 +0200

+ Fixed: Imported fixes from Parcellite 0.9.3 (thanks to Doug Springer).
+ Fixed: Fixed cast warnings when building on x86 machines.
+ Fixed: Fixed build error on ubuntu 11.04.
+ Fixed: Fixed problem with statusicon menu showing double content.
+ Fixed: Fixed problem with clicking the statusicon menu multiple
                times killing the program.

Changes to be committed:

	modified:   ChangeLog
	modified:   Makefile.in
	modified:   autom4te.cache/output.0
	modified:   autom4te.cache/output.1
	modified:   autom4te.cache/requests
	modified:   autom4te.cache/traces.0
	modified:   autom4te.cache/traces.1
	modified:   configure
	modified:   configure.in
	modified:   data/Makefile.in
	modified:   doc/Makefile.in
	modified:   src/Makefile.am
	modified:   src/Makefile.in
	modified:   src/daemon.c
	modified:   src/main.c
	modified:   src/main.h
	modified:   src/manage.c
	modified:   src/preferences.c


ClipIt-v1.3.9-19122010001 - 2010-12-19 14:21:42 +0200

+ Fixed: Fixed error while compiling without indicator support.
+ Fixed: Fixed a couple of memory leaks.

Changes to be committed:

	modified:   ChangeLog
	modified:   autom4te.cache/output.0
	modified:   autom4te.cache/output.1
	modified:   autom4te.cache/requests
	modified:   autom4te.cache/traces.1
	modified:   configure
	modified:   configure.in
	modified:   src/history.c
	modified:   src/main.c
	modified:   src/manage.c
	modified:   src/preferences.c


ClipIt-v1.3.8-18122010002 - 2010-12-18 15:20:11 +0200

+ Fixed: Updated configure script for 1.3.8.

Changes to be committed:

	modified:   ChangeLog
	modified:   autom4te.cache/output.0
	modified:   autom4te.cache/output.1
	modified:   autom4te.cache/requests
	modified:   autom4te.cache/traces.1
	modified:   configure


ClipIt-v1.3.8-18122010001 - 2010-12-18 13:52:42 +0200

+ Fixed: Changed the "old" menu to look exactly like the indicator
                menu.
+ Fixed: Changed the indicator menu to refresh automatically.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   src/history.c
	modified:   src/main.c
	modified:   src/main.h


ClipIt-v1.3.7-12122010001 - 2010-12-12 18:19:48 +0200

+ Fixed: Changed E-Mail address and Project website.
+ Fixed: Included all files that get generated by autogen.sh, so
                that now you don't need to run it anymore.

Changes to be committed:

	new file:   ABOUT-NLS
	modified:   AUTHORS
	modified:   ChangeLog
	new file:   Makefile.in
	modified:   NEWS
	modified:   README
	new file:   aclocal.m4
	new file:   autom4te.cache/output.0
	new file:   autom4te.cache/output.1
	new file:   autom4te.cache/requests
	new file:   autom4te.cache/traces.0
	new file:   autom4te.cache/traces.1
	new file:   config.h.in
	new file:   configure
	modified:   configure.in
	new file:   data/Makefile.in
	new file:   doc/Makefile.in
	modified:   doc/clipit.1
	new file:   intltool-extract.in
	new file:   intltool-merge.in
	new file:   intltool-update.in
	new file:   m4/codeset.m4
	new file:   m4/fcntl-o.m4
	new file:   m4/glibc2.m4
	new file:   m4/glibc21.m4
	new file:   m4/intdiv0.m4
	new file:   m4/intl.m4
	new file:   m4/intldir.m4
	new file:   m4/intlmacosx.m4
	new file:   m4/intmax.m4
	new file:   m4/inttypes-pri.m4
	new file:   m4/inttypes_h.m4
	new file:   m4/lcmessage.m4
	new file:   m4/lock.m4
	new file:   m4/longlong.m4
	new file:   m4/printf-posix.m4
	new file:   m4/size_max.m4
	new file:   m4/stdint_h.m4
	new file:   m4/threadlib.m4
	new file:   m4/uintmax_t.m4
	new file:   m4/visibility.m4
	new file:   m4/wchar_t.m4
	new file:   m4/wint_t.m4
	new file:   m4/xsize.m4
	new file:   po/Makefile.in.in~
	new file:   po/Makevars.template
	new file:   po/Rules-quot
	new file:   po/boldquot.sed
	new file:   po/en@boldquot.header
	new file:   po/en@quot.header
	new file:   po/insert-header.sin
	new file:   po/quot.sed
	new file:   po/remove-potcdate.sin
	modified:   po/zh_CN.po
	new file:   src/Makefile.in
	modified:   src/daemon.c
	modified:   src/daemon.h
	modified:   src/history.c
	modified:   src/history.h
	modified:   src/main.c
	modified:   src/main.h
	modified:   src/manage.c
	modified:   src/manage.h
	modified:   src/preferences.c
	modified:   src/preferences.h
	modified:   src/utils.c
	modified:   src/utils.h


ClipIt-v1.3.6-06122010002 - 2010-12-06 14:10:51 +0200

+Fixed: Fixed a small bug when building without indicator support.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   src/main.c


ClipIt-v1.3.5-06122010001 - 2010-12-06 10:55:14 +0200

+ Added: Added support for "Application Indicator".
+ Fixed: Fixed a couple of typos and indentations.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   src/Makefile.am
	modified:   src/main.c


ClipIt-v1.3.4-26112010001 - 2010-11-26 13:44:33 +0200

+ Fixed: Now we are warning the user that his history is saved in a
                plain text file and ask for his explicit permission
                to save the history.
+ Fixed: When the user disables history saving we also ask if he wants
                to empty the current history file.
+ Fixed: Renamed "Find" menu entry to "Manage history".
+ Fixed: ClipIt now complies to the "XDG Base Directory Specification".

Changes to be committed:

	modified:   ChangeLog
	modified:   NEWS
	modified:   configure.in
	modified:   src/history.c
	modified:   src/history.h
	modified:   src/main.c
	modified:   src/preferences.c
	modified:   src/preferences.h
	modified:   src/utils.c
	modified:   src/utils.h


ClipIt-v1.3.3-23112010001 - 2010-11-23 11:31:11 +0200

+ Fixed: Fixed some more markup.
+ Fixed: Rearranged parts of the Preferences dialog to be cleaner.
+ Fixed: Fixed bug in "Manage History" window not selecting the history
                item properly.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   src/main.c
	modified:   src/manage.c
	modified:   src/preferences.c


ClipIt-v1.3.2-22112010001 - 2010-11-22 10:59:01 +0200

+ Fixed: Fixed most of the markup and indentation (replaced double spaces
                with tabs).
+ Fixed: Removed clipboard restoring from history, as this seems to cause
                more problems than it solves.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   src/daemon.c
	modified:   src/daemon.h
	modified:   src/eggaccelerators.c
	modified:   src/history.c
	modified:   src/history.h
	modified:   src/main.c
	modified:   src/main.h
	modified:   src/manage.c
	modified:   src/manage.h
	modified:   src/preferences.c
	modified:   src/preferences.h
	modified:   src/utils.c
	modified:   src/utils.h


ClipIt-v1.3.1-17112010001 - 2010-11-17 08:29:36 +0200

+ Added: Added autostart support for LXDE.
+ Fixed: Fixed problem with "Edit" window not appearing.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   data/clipit-startup.desktop.in
	modified:   src/main.c
	modified:   src/manage.c
	modified:   src/preferences.h


ClipIt-v1.3.0-14112010001 - 2010-11-14 21:03:11 +0200

+ Added: Added "Edit" and "Remove" buttons to the "Manage History" dialog.
+ Fixed: Major speed improvements for big history entries while:
                searching through the history;
                populating the "Manage History" dialog;
                generating the popup menus;
        All of these should now be more than 99% faster, at the expense
        of an (at most) 1MB overhead. I think it's worth it, though.
+ Fixed: Fixed a drawing issue with the small history menu when activated
                by clicking on the systray icon.

Changes to be committed:

	modified:   ChangeLog
	modified:   TODO
	modified:   configure.in
	modified:   src/history.h
	modified:   src/main.c
	modified:   src/manage.c


ClipIt-v1.2.6-12112010003 - 2010-11-12 12:01:11 +0200

+ Fixed: Removed reference to pthread.h from configure.in.
+ Fixed: Set AM_MAINTAINER_MODE to disabled by default.

Changes to be committed:

	modified:   ChangeLog
	deleted:    config.h.in
	modified:   configure.in


ClipIt-v1.2.5-12112010002 - 2010-11-12 10:39:04 +0200

+ Fixed: Now using autopoint instead of gettextize to avoid waiting for
                user input.
+ Fixed: Added AM_MAINTAINER_MODE, to get rid of the disable-maintainer-mode
                warning.
+ Fixed: Fixed a small typo in main.c.
+ Fixed: removed dependency of pthread.h (the pthread_exit function that we
                use is also in glib.h).

Changes to be committed:

        modified:   ChangeLog
        modified:   autogen.sh
        modified:   configure.in
        modified:   src/main.c


ClipIt-v1.2.4-12112010001 - 2010-11-12 08:29:02 +0200

+ Fixed: Fixed 2 small omitions from previous changes.

Changes to be committed:

	modified:   ChangeLog
	modified:   configure.in
	modified:   src/history.c
	modified:   src/main.c


ClipIt-v1.2.3-11112010002 - 2010-11-11 20:24:19 +0200

+ Fixed: Fixed the manpage so it now aligns to the conventions for
                writing Linux man pages.
+ Fixed: Added the "-Wl,--as-needed" flag, so only the needed packages
                are included.

Changes to be committed:

        modified:   ChangeLog
        modified:   configure.in
        modified:   doc/clipit.1
        modified:   src/Makefile.am


ClipIt-v1.2.2-11112010001 - 2010-11-11 13:21:09 +0200

+ Fixed: Some small compatibility changes for debian packaging.

Changes to be committed:

	modified:   ChangeLog
	modified:   NEWS
	modified:   README
	modified:   configure.in
	modified:   doc/clipit.1
	modified:   po/POTFILES.in
	modified:   src/main.c


ClipIt-v1.2.1-10112010002 - 2010-11-10 11:21:03 +0200

+ Fixed: Fixed OOM bug when copying large chunks of text by limiting
                the history entry to 512KB.
                (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602205)

Changes to be committed:

        modified:   ChangeLog
        modified:   configure.in
        modified:   src/history.c
        modified:   src/history.h


ClipIt-v1.2.0-10112010001 - 2010-11-10 09:49:29 +0200

+ Added: Option to save URIs (they were actually saved by default before, but
                now you have the option to disable this behaviour).
+ Fixed: Copying files and folders now works again.
+ Fixed: Changed some of the default configuration values.

Changes to be committed:

	modified:   ChangeLog
	modified:   TODO
	modified:   configure.in
	modified:   src/history.c
	modified:   src/history.h
	modified:   src/main.c
	modified:   src/main.h
	modified:   src/preferences.c
	modified:   src/preferences.h


ClipIt-v1.1.0-09112010001-beta - 2010-11-09 12:46:50 +0200

+ Added: Option to show index numbers in history.
+ Fixed: Search window now gets properly focused when launched with the hotkey.
+ Fixed: Search window is now resizable.
+ Fixed: Double casting when calling 'item_selected'.
+ Fixed: Removed some unnecessary comments and fixed some of the others.
+ Fixed: Moved search dialog and functions to manage.c, as this dialog will
                become "Manage Clipboard" in the next version.

Changes to be committed:

	modified:   ChangeLog
	modified:   TODO
	modified:   configure.in
	modified:   src/Makefile.am
	modified:   src/main.c
	modified:   src/main.h
	new file:   src/manage.c
	new file:   src/manage.h
	modified:   src/preferences.c
	modified:   src/preferences.h


ClipIt-v1.0.0-05112010001-beta - 2010-11-05 23:37:05 +0200

Initial commit

	new file:   AUTHORS
	new file:   COPYING
	new file:   ChangeLog
	new file:   INSTALL
	new file:   Makefile.am
	new file:   NEWS
	new file:   README
	new file:   TODO
	new file:   autogen.sh
	new file:   config.guess
	new file:   config.h.in
	new file:   config.rpath
	new file:   config.sub
	new file:   configure.in
	new file:   data/Makefile.am
	new file:   data/clipit-startup.desktop.in
	new file:   data/clipit.desktop.in
	new file:   depcomp
	new file:   doc/Makefile.am
	new file:   doc/clipit.1
	new file:   install-sh
	new file:   m4/ChangeLog
	new file:   m4/Makefile.in
	new file:   m4/gettext.m4
	new file:   m4/iconv.m4
	new file:   m4/intltool.m4
	new file:   m4/lib-ld.m4
	new file:   m4/lib-link.m4
	new file:   m4/lib-prefix.m4
	new file:   m4/nls.m4
	new file:   m4/po.m4
	new file:   m4/progtest.m4
	new file:   missing
	new file:   po/Makefile.in.in
	new file:   po/POTFILES.in
	new file:   po/POTFILES.skip
	new file:   po/cs.po
	new file:   po/da.po
	new file:   po/de.po
	new file:   po/es.po
	new file:   po/fr.po
	new file:   po/hu.po
	new file:   po/it.po
	new file:   po/ja.po
	new file:   po/nb.po
	new file:   po/pl.po
	new file:   po/pl_PL.po
	new file:   po/pt_BR.po
	new file:   po/ro.po
	new file:   po/ru.po
	new file:   po/sv.po
	new file:   po/tr.po
	new file:   po/zh_CN.po
	new file:   src/Makefile.am
	new file:   src/clipit-i18n.h
	new file:   src/daemon.c
	new file:   src/daemon.h
	new file:   src/eggaccelerators.c
	new file:   src/eggaccelerators.h
	new file:   src/history.c
	new file:   src/history.h
	new file:   src/keybinder.c
	new file:   src/keybinder.h
	new file:   src/main.c
	new file:   src/main.h
	new file:   src/preferences.c
	new file:   src/preferences.h
	new file:   src/utils.c
	new file:   src/utils.h

